FS_FLUSH(1)

NAME
fs_flush - Forces the Cache Manager to discard a cached file or directory

SYNOPSIS
fs flush << [-path <dir/file path+] >>> [-help]

fs flush << [-p <dir/file path+] >>> [-h]

DESCRIPTION
The fs flush command removes from the cache all data and status information associated with each specified file or directory. The next time an application requests data from the flushed directory or file, the Cache Manager fetches the most current version from a File Server, along with a new callback (if necessary) and associated status information. This command has no effect on two types of data:

•   Data in application program buffers.

•   Data that has been changed locally and written to the cache but not yet written to the copy on the file server machine.

To flush all data in the cache that was fetched from the same volume as a specified file or directory, use the fs flushvolume command. To flush a corrupted mount point, use the fs flushmount command.

OPTIONS

-path <dir/file path>+
    Names each file or directory to flush from the cache. If it is a directory, only the directory element itself is flushed, not data cached from files or subdirectories that reside in it. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command flushes from the cache the file projectnotes in the current working directory and all data from the subdirectory plans:

   % fs flush -path projectnotes ./plans/*

PRIVILEGE REQUIRED
The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

SEE ALSO
the fs_flushmount(1) manpage, the fs_flushvolume(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.